org.apache.solr.core

## Class ConfigOverlay

- java.lang.Object
- - org.apache.solr.core.ConfigOverlay

- All Implemented Interfaces:
    MapSerializable

      public class ConfigOverlay
      extends Object
      implements MapSerializable

  This class encapsulates the config overlay json file. It is immutable and any edit operations performed on tbhis gives a new copy of the object with the changed value

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`
    `static String` | `NOT_EDITABLE`
    `static String` | `RESOURCE_NAME`
    `static String` | `ZNODEVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigOverlay(Map<String,Object> jsonObj, int znodeVersion)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigOverlay` | `addNamedPlugin(Map<String,Object> info, String typ)`
    `static Class` | `checkEditable(String path, boolean isXpath, List<String> hierarchy)`
    `ConfigOverlay` | `deleteNamedPlugin(String name, String typ)`
    `Map<String,String>` | `getEditableSubProperties(String xpath)`
    `Map<String,Map>` | `getNamedPlugins(String typ)`
    `Map<String,Object>` | `getUserProps()`
    `Object` | `getXPathProperty(String xpath)`
    `Object` | `getXPathProperty(String xpath, boolean onlyPrimitive)`
    `int` | `getZnodeVersion()`
    `static boolean` | `isEditableProp(String path, boolean isXpath, List<String> hierarchy)`
    `static void` | `main(String[] args)`
    `ConfigOverlay` | `setProperty(String name, Object val)`
    `ConfigOverlay` | `setUserProperty(String key, Object val)`
    `byte[]` | `toByteArray()`
    `Map<String,Object>` | `toMap(Map<String,Object> map)`
    `String` | `toString()`
    `ConfigOverlay` | `unsetProperty(String name)`
    `ConfigOverlay` | `unsetUserProperty(String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NOT_EDITABLE

          public static final String NOT_EDITABLE

      See Also:
        Constant Field Values

    - #### RESOURCE_NAME

          public static final String RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### ZNODEVER

          public static final String ZNODEVER

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigOverlay

          public ConfigOverlay(Map<String,Object> jsonObj,
                               int znodeVersion)

  - ### Method Detail

    - #### getXPathProperty

          public Object getXPathProperty(String xpath)

    - #### getXPathProperty

          public Object getXPathProperty(String xpath,
                                         boolean onlyPrimitive)

    - #### setUserProperty

          public ConfigOverlay setUserProperty(String key,
                                               Object val)

    - #### unsetUserProperty

          public ConfigOverlay unsetUserProperty(String key)

    - #### setProperty

          public ConfigOverlay setProperty(String name,
                                           Object val)

    - #### unsetProperty

          public ConfigOverlay unsetProperty(String name)

    - #### toByteArray

          public byte[] toByteArray()

    - #### getZnodeVersion

          public int getZnodeVersion()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isEditableProp

          public static boolean isEditableProp(String path,
                                               boolean isXpath,
                                               List<String> hierarchy)

    - #### checkEditable

          public static Class checkEditable(String path,
                                            boolean isXpath,
                                            List<String> hierarchy)

    - #### getEditableSubProperties

          public Map<String,String> getEditableSubProperties(String xpath)

    - #### getUserProps

          public Map<String,Object> getUserProps()

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

    - #### getNamedPlugins

          public Map<String,Map> getNamedPlugins(String typ)

    - #### addNamedPlugin

          public ConfigOverlay addNamedPlugin(Map<String,Object> info,
                                              String typ)

    - #### deleteNamedPlugin

          public ConfigOverlay deleteNamedPlugin(String name,
                                                 String typ)

    - #### main

          public static void main(String[] args)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.